// CountdownDialog.h
// 
// Revision Log
//
// Date       Who SAR     Notes
// ========== === ======= =====================================
// 2001-08-01 mph         Initial coding by Mark Henri of
//                        MPH Software - markhenri@home.net
// 

#ifndef _COUNTDOWNDIALOG_H
#define _COUNTDOWNDIALOG_H

#include <windows.h>

#ifdef COUNTDOWNDIALOG_CPP
#define DLLIMPORTEXPORT dllexport
#else
#define DLLIMPORTEXPORT dllimport
#endif

//#define CDDCALLINGFORMAT __stdcall
#define CDDCALLINGFORMAT __cdecl
#define CDDEXPORT extern "C" __declspec(DLLIMPORTEXPORT)

#ifdef __cplusplus
// provide default arguments in the c++ version
CDDEXPORT int CDDCALLINGFORMAT CountdownDialog( HWND hwnd, const char* prompt, 
                           const char* title, long seconds=10,
                           int defbutton=IDOK, BOOL endoninactive=FALSE );
#else
CDDEXPORT int CDDCALLINGFORMAT CountdownDialog( HWND hwnd, const char* prompt, 
                           const char* title, long seconds,
                           int defbutton, BOOL endoninactive );
#endif

typedef int (CDDCALLINGFORMAT *pfnCountdownDialog)(HWND, const char*, const char*, long, int, BOOL);

#endif