// TestCountdownDllDlg.h
// 
// Revision Log
//
// Date       Who SAR     Notes
// ========== === ======= =====================================
// 2001-10-12 mph         Initial coding by Mark Henri of
//                        MPH Software - markhenri@home.net
// 
//
//
#ifndef __TestCountdownDllDLG_H__
#define __TestCountdownDllDLG_H__

#ifdef EXAMPLE_CODE
#include "TestCountdownDll.h"
   CTestCountdownDllDlg dlg( g_hInstance, hwnd );
   dlg.DoModal();
#endif


#include <windows.h>
#include <string>
#include "controls.h"
using namespace rfc;

#include "resource.h"

using namespace std;

class CTestCountdownDllDlg
{
public:
   CTestCountdownDllDlg( HINSTANCE inst, HWND hwnd )
      : _instance( inst ), _hwnd( hwnd ) {;}
   ~CTestCountdownDllDlg() {;}

   enum {IDD=IDD_MAIN_WINDOW}; // resource.h changes doesn't recompile

   // data get and put statements go here...

   // control constants go here so that a change in the
   // resource.h file doesn't cause every dialog to
   // recompile.
   void InitializeControls( HWND hwnd )
   {
      // eg: _edit1.Initialize( _instance, IDC_EDIT1 );
      _editCaption.Initialize( hwnd, IDC_CAPTION );
      _editPrompt.Initialize( hwnd, IDC_PROMPT );
      _editSeconds.Initialize( hwnd, IDC_SECONDS );
      _radiobuttonIdok.Initialize( hwnd, IDC_IDOK );
      _radiobuttonIdcancel.Initialize( hwnd, IDC_IDCANCEL );
      _buttonOK.Initialize( hwnd, IDOK );
      _buttonCancel.Initialize( hwnd, IDCANCEL );
      _checkboxEndOnInactive.Initialize( hwnd, IDC_ENDONINACTIVE );
      _checkboxUseLoadLibrary.Initialize( hwnd, IDC_USE_LOADLIBRARY );
      _hwnd = hwnd;
   }

   int DoModal();
   HINSTANCE GetInstance() { return _instance; }
   HWND GetHwnd() { return _hwnd; }

protected:
   static BOOL CALLBACK TestCountdownDllDlgProc( HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam );

private:
   // data members go here...

public:
   // controls section
   // eg: CEdit _edit1;
   CEdit _editCaption;
   CEdit _editPrompt;
   CEdit _editSeconds;
   CRadioButton _radiobuttonIdok;
   CRadioButton _radiobuttonIdcancel;
   CButton _buttonOK;
   CButton _buttonCancel;
   CCheckBox _checkboxEndOnInactive;
   CCheckBox _checkboxUseLoadLibrary;
   // end of controls section

private:
   CTestCountdownDllDlg( const CTestCountdownDllDlg& o ); // not allowed

   HINSTANCE _instance;
   HWND _hwnd;
};

#endif //__TestCountdownDllDLG_H__
